package com.javatunes.persist.client;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import com.javatunes.persist.MusicItem;

public class JPATest {
	public static void main(String[] args) {
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("javatunes"); 
		EntityManager em = emf.createEntityManager();
		try {
			em.getTransaction().begin();
			// TODO - Look up a music item
			// Add an inventory record using the addInventoryRecord helper method
			MusicItem mi = em.find(MusicItem.class, new Long (5));
			mi.addInventoryRecord("Austin", 22);
			em.getTransaction().commit();

		} 
		catch (Exception ex) { ex.printStackTrace(); }
		finally { em.close(); }
	}
}
