package com.javatunes.persist.client;

import java.util.Set;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import com.javatunes.persist.MusicItem;

public class JPATest {
	public static void main(String[] args) {
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("javatunes"); 
		EntityManager em = emf.createEntityManager();
		try {
			
			// Example of accessing an element collection
			em.getTransaction().begin();
			MusicItem mi = em.find(MusicItem.class, new Long (3));
			Set<String> members = mi.getBandMembers();
			System.out.println("The band members are");
			for (String s : members) {
				System.out.println(s);
			}
			em.getTransaction().commit();
		} 
		catch (Exception ex) { ex.printStackTrace(); }
		finally { em.close(); }
	}
}
