/*
 * This code is sample code, provided as-is, and we make no
 * warranties as to its correctness or suitablity for
 * any purpose.
 *
 * We hope that it's useful to you.  Enjoy.
 * Copyright 2006-7 LearningPatterns Inc.
 */


package com.javatunes.jpa.catalog;

import com.javatunes.jpa.catalog.MusicItem;

import java.util.Collection;


public interface MusicItemServiceRemote {

  public MusicItem findById(Long id);

  public Collection<MusicItem> findByKeyword(String keyword);

  public Long addItem(MusicItem item);
  
  public void updateTitle(Long id, String newTitle);

}
